# ESLabs

## Embedded Systems Labs catalogue for MSP432

In this repository you will find all of the labs that are required for Robot Kit using MSP432 completion during the IAS0330 course in TalTech.

## Requirements
Linux (or WSL), VS Code, openOCD, ARM compilers (arm-none-eabi), Cortex Debug VS Code extension is required to run and debug these labs. Place the whole labs catalogue folder under msp432/simplelink_msp432p4_VERSION/. For additional information go to the [Moodle wiki](https://moodle.taltech.ee/mod/wiki/view.php?id=696448).

## Usage
Open the folder of any lab in VS Code. Open the terminal and type:  
```make```  
To build the lab code and  
```../flash.sh```  
to flash the code on to the board.

To establish UART connection, run
```../uart.sh```
from the lab folder (Not tested yet).

## Lab assistance
Anton Jaštšuk: ajasts@taltech.ee  
Uljana Reinsalu: uljana.reinsalu@taltech.ee

## Authors and acknowledgment
Anton Jaštšuk  
Uljana Reinsalu  
Nazrul Nazeer  

Jonathan Valvano  